<?php
/**
 * 添加等级
 */
if (!empty($_GET['mid'])) {
    $title = '编辑等级规则-' . $_GET['mid'];
} else {
    $title = '添加等级规则';
}
include "header.php";
if (!empty($_QET['mid'])) {
    $PRICE = $DB->get_row("SELECT * FROM `sky_price` WHERE `mid` = '{$_QET['mid']}' ");
    if (!$PRICE) show_msg('等级规则->' . $_QET['mid'] . '不存在', '等级规则->' . $_QET['mid'] . '不存在请检查是否访问有误?', 3);
}
?>

<div class="row">
    <div class="col-xl-12">
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12" id="title" data-mid="<?=empty($_QET['mid'])?'-1':$_QET['mid']?>">
                        <h3 class="mb-3 header-title text-success"><?= $title ?></h3>
                        <form class="form-horizontal layui-form">
                            <div class="form-group mb-3">
                                <label for="example-input-normal" style="font-weight: 500">等级名称</label>
                                <input type="text" name="name" lay-verify="required"
                                       class="form-control" value="<?= $PRICE['name'] ?>" placeholder="请输入等级名称">
                            </div>

                            <div class="form-group mb-3">
                                <label for="example-input-normal" style="font-weight: 500">等级售价 / 元</label>
                                <input type="text" name="money"
                                       class="form-control" value="<?=$PRICE['money']?>"
                                       placeholder="请输入等级购买价格,用户可补差价升级">
                            </div>

                            <div class="form-group mb-3 p-1" style="border: solid #ddd 1px;border-radius: 0.3em">
                                <label for="example-input-normal" style="font-weight: 500">商品售价规则 <font color="#4169e1"><span onclick="level.append('priceis')">[添加一条规则]</span> <span onclick="level.convert(['priceis'],'data-beif')">[初始化规则]</span></font></label>
                                <div id="priceis" data-beif="<?=$PRICE['priceis']?>" data-rule="<?=$PRICE['priceis']?>" style="width: 100%;overflow-x: auto"></div>
                            </div>

                            <div class="form-group mb-3 p-1" style="border: solid #ddd 1px;border-radius: 0.3em">
                                <label for="example-input-normal" style="font-weight: 500"><?=$conf['currency']?>兑换规则 <font color="#4169e1"><span onclick="level.append('pointsis')">[添加一条规则]</span> <span onclick="level.convert(['pointsis'],'data-beif')">[初始化规则]</span></font></label>
                                <div id="pointsis" data-beif="<?=$PRICE['pointsis']?>" data-rule="<?=$PRICE['pointsis']?>" style="width: 100%;overflow-x: auto"></div>
                            </div>

                            <div class="form-group mb-3" style="">
                                <label for="example-input-normal"
                                       style="position: relative;bottom: 0;left: 0">等级介绍</label>
                                <textarea class="form-control" name="content" lay-verify="required" rows="6" placeholder="请输入等级介绍,纯文字即可,无需输入代码！"><?=$PRICE['content']?></textarea>
                            </div>

                            <button type="submit" lay-submit lay-filter="hy"
                                    class="btn btn-block btn-xs btn-success">保存等级内容
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<?php include "bottom.php"; ?>

<script>
    /**
     * @type {{regain: level.regain, convert: level.convert, analysis: level.analysis, delete: level.delete, append: level.append}}
     */
    var level = {
        analysis:function (data) { //将规则字符解析成数组
            if(data==''){
                return [];
            }
            var arr_0 = data.split('|');
            var arr = [];
            $.each(arr_0,function(index,value){
                var arr_1 = value.split(',');
                arr[index] = arr_1;
            });
            return arr;
        },
        regain:function (data) { //将数组恢复成规则字符
            if(data==''){
                return '';
            }
            var arr = [];
            $.each(data,function(index,value){
                var arr_1 = value.join(',');
                arr[index] = arr_1;
            });
            return arr.join('|');
        },
        convert:function (arr_id,type='data-rule') { //根据数组,转换成规则模板
            $.each(arr_id,function(ins,id){
                var rule = $("#"+id).attr(type);

                if(type=='data-beif'){
                    $("#"+id).attr('data-rule',$("#"+id).attr('data-beif'));
                }

                if(rule==''||rule==undefined){
                    $("#"+id).html('');return;
                }

                var arr = level.analysis(rule);
                var content = ''; //初始化模板
                $.each(arr,function(index,value){ //将规则数组转换为模板
                    if(id=='priceis'){
                        content += '<span class="layui-btn layui-btn-primary" style="margin:0.5em"><font color="#20b2aa">成本</font> >= '+value[0]+' <font color="#fa8072">售价</font> = <font color="#20b2aa">成本</font> × '+value[1]+'<span class="layui-badge layui-bg-red priceis" id="b_'+index+'">删除</span></span>';
                    }else{
                        content += '<span class="layui-btn layui-btn-primary" style="margin:0.5em"><font color="#20b2aa">成本</font> >= '+value[0]+' <font color="#fa8072">兑换价</font> = <font color="#20b2aa">成本</font> × '+value[1]+'<span class="layui-badge layui-bg-red pointsis" id="b_'+index+'">删除</span></span>';
                    }
                });
                var rile = level.regain(arr);
                $("#"+id).attr('data-rule',rile);
                $("#"+id).html(content);

                if(id=='priceis'){
                    $(".priceis").click(function () {
                        var id = (this.id).split('_');
                        var id = id[1];
                        level.delete(id,'priceis');
                    });
                }else{
                    $(".pointsis").click(function () {
                        var id = (this.id).split('_');
                        var id = id[1];
                        level.delete(id,'pointsis');
                    });
                }
            });
        },
        append:function (id) { //根据ID插入对应数据然后解析
            var rule = $("#"+id).attr('data-rule');
            var content = '';
            if(id=='priceis'){
                var name = '插入子售价规则';
            }else{
                var name = '插入子兑换规则';
            }
            var content  = '<div style="max-height: 60vh;width: 100%"><blockquote class="layui-elem-quote  layui-quote-nm"><div class="layui-form">';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label"style="color: red">成本价</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="price" required lay-verify="required" placeholder="若新建,第一个规则填0 , 此处为成本对比值" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            content += '<div class="layui-form-item">\n' +
                '    <label class="layui-form-label"style="color: #0acf97">倍数比</label>\n' +
                '    <div class="layui-input-block">\n' +
                '      <input type="text" id="beis" required lay-verify="required" placeholder="填写倍数,如 1.5 1500 等" autocomplete="off" class="layui-input">\n' +
                '    </div>\n' +
                '  </div>';
            content += '<hr>规则解析：<br><font color=red>成本价</font>：此处的成本价是成本的对比值，若商品的成本大于等于此值，则售价等于 商品成本乘以下方的倍数比 , 从而得出商品售价！<br><font color=#0acf97>倍数比</font>：此处的倍数比是需要参与运算的值，如填写1.5就是 将成本乘以1.5倍,如商品成本等于100元,若在此处规则范围内,售价就等于100×1.5=150元';
            var area = [$(window).width() > 480 ? '60%' : '98%'];
            layer.alert(content+'</div></blockquote></div>', {
                type: 0, title: name, anim: 5, btn: ['插入到最顶部','插入到最底部','关闭'],area:area,
                btn1:function (layero,index) { //插入顶部
                    var price = ($("#price").val())-0;
                    var beis = ($("#beis").val())-0;
                    var arr = level.analysis(rule);
                    if((price==''&&price!=0)||(beis==''&&beis!=0)){
                        alert('请填写完整');
                        return false;
                    }
                    if(beis<1.01){
                        alert('你倍数小于1是想要亏本吗？,最少1.01倍');
                        return false;
                    }
                    if(rule!=''){
                        if(price>=arr[0][0]){
                            alert('插入顶部的成本值太大,必须要比第一条规则的成本值('+arr[0][0]+'元)小！');
                            return false;
                        }
                        if(beis<=arr[0][1]){
                            alert('插入底部的倍数比太小,必须要比第一条规则的倍数比('+arr[0][1]+'倍)大！');
                            return false;
                        }
                    }
                    if(price<0){
                        alert('规则内的成本价不可低于0！');
                        return false;
                    }
                    arr.unshift([price,beis]);
                    var rules = level.regain(arr);
                    $("#"+id).attr('data-rule',rules);
                    level.convert([id])
                    layer.closeAll();
                },
                btn2:function (layero,index) { //插入底部
                    var price = $("#price").val()-0;
                    var beis = $("#beis").val()-0;
                    var arr = level.analysis(rule);
                    if((price==''&&price!=0)||(beis==''&&beis!=0)){
                        alert('请填写完整');
                        return false;
                    }
                    if(beis<1.01){
                        alert('你倍数小于1是想要亏本吗？,最少1.01倍');
                        return false;
                    }
                    var count = arr.length;
                    if(rule!=''){
                        if(price<=arr[(count-1)][0]){
                            alert('插入底部的成本值太小,必须要比最后一条规则的成本值('+arr[(count-1)][0]+'元/'+price+')大！');
                            return false;
                        }

                        if(beis>=arr[(count-1)][1]){
                            alert('插入底部的倍数比太大,必须要比最后一条规则的倍数比('+arr[(count-1)][1]+'倍)小！');
                            return false;
                        }
                    }
                    if(price<0){
                        alert('规则内的成本价不可低于0！');
                        return false;
                    }
                    arr.push([price,beis]);
                    var rules = level.regain(arr);
                    $("#"+id).attr('data-rule',rules);
                    level.convert([id]);
                    layer.closeAll();
                },
            })
        },
        /**
         * @param data
         * @param id
         * @param order
         * //根据顺序删除指定数组
         */
        delete:function (data,id) {
            var data = data-0;
            if(id=='priceis'){
                var title = '是否删除价格规则下的第'+(data+1)+'条规则？';
            }else{
                var title = '是否删除兑换规则下的第'+(data+1)+'条规则？';
            }
            layer.alert(title,{
                title:'温馨提示',
                anim:4,
                btn:['确定','取消'],
                yes:function (layero,index) {
                    var rule = $("#"+id).attr('data-rule');
                    var arr = level.analysis(rule);
                    arr.splice(data, 1);
                    var rile = level.regain(arr);
                    $("#"+id).attr('data-rule',rile);
                    level.convert([id]);
                    layer.closeAll();
                }
            })
        }
    };

    level.convert(['priceis','pointsis']); //按需加载

    layui.use(['form'], function () {
        var form = layui.form;
        form.on('submit(hy)', function (data) {
            data.field['priceis'] = $("#priceis").attr('data-rule');
            data.field['pointsis'] = $("#pointsis").attr('data-rule');
            data.field['state'] = $("#title").attr('data-mid');
            layer.alert('是否要执行提交操作？', {
                icon: 3, btn: ['确定', '取消'], btn1: function (layero, index) {
                    var index = layer.msg('数据保存中,请稍后...', {icon: 16, time: 999999});
                    $.post('ajax.php?act=level_add', data.field, function (res) {
                        if (res.code == 1) {
                            layer.close(index);
                            layer.alert(res.msg, {
                                btn:['继续','返回列表'],
                                btn1: function (layero, index) {
                                    location.reload();
                                },
                                btn2:function (layero,index) {
                                    location.href='admin.level.list.php'
                                }
                            });
                        } else {
                            layer.close(index);
                            layer.alert(res.msg,{
                                icon:2,
                                anim:4
                            });
                        }
                    });
                }
            });
            return false;
        });
    })

</script>


