<?php
/**
 *  码支付同步
 */

require_once("../../includes/fun.global.php");

ksort($_GET); //排序get参数
reset($_GET); //内部指针指向数组中的第一个元素
$sign = '';
foreach ($_GET AS $key => $val) {
    if ($val == '') continue;
    if ($key != 'sign') {
        if ($sign != '') {
            $sign .= "&";
            $urls .= "&";
        }
        $sign .= "$key=$val"; //拼接为url参数形式
        $urls .= "$key=" . urlencode($val); //拼接为url参数形式
    }
}

if ($conf['pay_qqapy'] <> 2 && $conf['pay_wxpay'] <> 2 && $conf['pay_alipay'] <> 2) { #如果都未开启
    show_msg('警告', '当前支付接口尚未开放！');
} elseif (empty($_GET['pay_no']) || md5($sign . $conf['cpay_key']) <> $_GET['sign']) { //sign不合法！
    show_msg('警告', '验证失败！', '../../');
} else { //成功返回
    $order = (int)$_GET['pay_id'];//pay_no  == 云订单
    $money = (float)$_GET['price'];

    $srow = $DB->get_row("SELECT * FROM sky_pay WHERE `order`='$order' limit 1 for update");

    if ($srow['state'] == 2 && $srow['money'] == $money) {
        //付款完成后，支付系统发送该交易状态通知
        $data = [
            'out_trade_no' => $order,
            'money' => $money,
            'trade_no' => (int)$_GET['pay_no'],
        ];
        pay::success($data, 1);
    }

    show_msg('恭喜', '恭喜你,订单付款成功,请点击下方按钮返回！', 1, pay::jump($srow['gid']));
}