<?php
/**
 * 订单查询
 */
if (!defined('IN_CRONLITE')) exit();
$title = '订单查询 - ' . $conf['sitename'];
include 'template/cloud/header.php';
?>
<style>
    input, select {
        border: none !important;
        border-bottom: solid #f4f4f4 1px !important;
        outline: none !important)
    }
</style>
<div class="content__inner">
    <!-- 订单查询 -->
    <div class="card">
        <div class="toolbar toolbar--inner mb-0">
            <div class="toolbar__label">查单公告</div>
        </div>
        <?php if (!isset($conf['notice_check'])) { ?>
            <div class="card-body">
                <span class="label label-primary">待处理</span> 说明正在努力提交到服务器！<p></p>
                <p></p><span class="label label-success">已完成</span> 并不是刷完了只是开始刷了！<p></p>
                <p></p><span class="label label-warning">处理中</span> 已经开始为您开单 请耐心等！<p></p>
                <p></p><span class="label label-danger">有异常</span> 下单信息有误 联系客服处理！
            </div>
        <?php } elseif (isset($conf['notice_check'])) { ?>
            <div class="card-body">
                <?= $conf['notice_check'] ?>
            </div>
        <?php } ?>

    </div>
    <div class="card">
        <div class="toolbar toolbar--inner mb-0">
            <div class="toolbar__label">订单查询</div>
        </div>
        <div class="card-body">
            <div class="input-group select">
                <label class="col-form-label">查询方式</label>
                <select class="form-control" id="searchtype">
                    <option value="1">下单账号</option>
                    <option value="2">订单号</option>
                    <option value="3">账号下的订单</option>
                    <option value="4">查询物流信息</option>
                </select>
                <i class="form-group__bar"></i>
            </div>
            <div class="input-group">
                <label class="col-form-label">查询内容</label>
                <input type="text" id="vae" value="" class="form-control" placeholder="请输入要查询的内容（留空则显示最新订单）"
                       onkeydown="if(event.keyCode==13){merchandise.query_sep($('#vae').val())}" required="">
                <i class="form-group__bar"></i>
            </div>
            <button type="submit" id="submit_query" class="btn btn-success btn-block"
                    style="background-color: #32c787;display: block">立即查询
            </button>
        </div>
    </div>

</div>

<?php include 'template/cloud/bottom.php'; ?>
<script src="<?php echo $cdnserver; ?>assets/js/main.js?var=<?= $accredit['versions'] ?>"></script>
