/**
 * 小储云商城
 * 模板视图js调用类 cool
 * @type {{input_data: (function(*, *, *, *): string), data_class: (function(*): string), num: (function(): string), data_goods: (function(*): string)}}
 */
var template = {
    data_goods: function (data) { //商品列表模板
        if (data.quota != 0) {
            var quota = '' + data.quantity + '个';
        } else {
            var quota = '<font color=#EF5350>库存不足</font>'
        }
        if (data.image == '') {
            data.image = 'assets/cloud/image/error_img.png';
        }

        if (data.price == 0) {
            var buy = '<span class="buy" style="background-color: yellowgreen;color:#fff;position: absolute;    right: 0;">领取</span>'
        } else {
            var buy = '<span class="buy" style="color:#fff;position: absolute;    right: 0;">购买</span>';
        }

        var content = '<a class="fui-goods-item" title="' + quota + '" href="?mod=shop&gid=' + data.gid + '&cid=' + data.cid + '">\n' +
            '      <div class="image" style="background-image: url(' + data.image + '); background-size: 100% 100%">\n' +
            '      </div>\n' +
            '      <div class="detail">\n' +
            '          <div class="name" style="color: #000000;">\n' +
            '             ' + data.name +'<br>'+quota+ '          </div>\n' +
            '          <div class="price" style="margin-top: 0.9rem;">\n' +
            '              <span class="text" style="color: #ff5555;"> <p class="minprice">￥' + (data.price-0).toFixed(2) + '</p> </span>\n' +
            '\n' +
            '              ' + buy + '          </div>\n' +
            '      </div>\n' +
            '  </a>';
        return content;
    },
    input_data: function (name, placeholder, id, addstr) { //商品输入框模板
        if (addstr != '') {
            var content = '<div class="layui-form-item">\n' +
                '      <label class="layui-form-label"  style="width: 100%;text-align: left;padding:0" id="var_c' + id + '" >' + name + '</label>\n' +
                '      <div class="layui-input-"  style="padding-right: 80px !important;" >\n' +
                '          <input type="text" onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '"    class="layui-input" />\n' +
                '      </div>' + addstr + '\n' +
                '  </div>';
        } else {
            var content = '<div class="layui-form-item">\n' +
                '      <label class="layui-form-label"  style="width: 100%;text-align: left;padding:0" id="var_c' + id + '" >' + name + '</label>\n' +
                '      <div class="layui-input-">\n' +
                '          <input type="text"  onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '"  class="layui-input">\n' +
                '      </div>\n' +
                '  </div>';
        }
        return content;
    },
    select_data: function (selectname, addstr, i) { //多选框构建
        var content = '<div class="layui-form-item">\n' +
            '      <label class="layui-form-label"  style="width: 100%;text-align: left;padding:0" id="var_c' + i + '">' + selectname + '</label>\n' +
            '      <div class="layui-input-">\n' +
            '          <select lay-verify="required"  id="input_val_' + i + '">\n' +
            '              <option value=""></option>' + addstr + '\n' +
            '          </select>\n' +
            '      </div>\n' +
            '  </div>';
        return content;
    },
    num: function () { //商品下单数量模板
        var content = '<div class="layui-form-item">\n' +
            '      <label class="layui-form-label" style="width: 100%;text-align: left;padding:0">下单份数</label>\n' +
            '      <div class="layui-input-">\n' +
            '          <input type="number" min="1" value="1"  placeholder="请填写商品下单份数！"  id="num"  class="layui-input">\n' +
            '      </div>\n' +
            '  </div>';
        return content;
    }
};

if ($_GET['cid'] != undefined && $_GET['gid'] == undefined || $_GET['name'] != undefined) {
    merchandise.gid_data($_GET['cid'], $_GET['name']);
} else if ($_GET['cid'] != undefined && $_GET['gid'] != undefined) {
    /**
     * 调用商品下单界面模块
     */

    merchandise.shop_data($_GET['gid']);
    ffa();

    function ffa() {
        setTimeout(function () {
            if ($("#gootsp").attr('value') != ''||$("#moneys").text()=='') {
                console.log($("#gootsp").attr('value'))
                $("#gootsp").text($("#gootsp").attr('value'));
                $(".pay_price").text(($("#gootsp").attr('data-price')-0).toFixed(2));
                $(".quota").text(($("#gootsp").attr('data-count_quota')-0).toFixed(2));
                $(".points").text($("#gootsp").attr('data-points'));
            } else {
                ffa();
            }
        }, 1000);
    }


    $('#points').on('click', function () {
        var that = this;
        layer.tips('<font color=#fff>此商品支持积分付款哦,每日限量快来领取吧！</font>', that, {tips: [1, '#000']}); //在元素的事件回调体中，follow直接赋予this即可
    });
}