/**
 * 小储云商城
 * 模板视图js调用类 public
 * @type {{input_data: (function(*, *, *, *): string), data_class: (function(*): string), num: (function(): string), data_goods: (function(*): string)}}
 */
var template = {
    data_class: function (data) { //商品分类模板
        if (data.image == '') {
            data.image = 'assets/cloud/image/error_img.png';
        }
        var content = '<div class="layui-col-xs6 layui-col-sm4 layui-col-md3">\n' +
            '        <a href="?cid=' + data.cid + '"><div class="layui-card" style="border-radius: 0.5em">\n' +
            '           <div class="layui-card-body" style="padding: 0">\n' +
            '             <img style="height: 22vh" lay-src="' + data.image + '"  onerror="this.src=\'assets/cloud/image/error_img.png\'" width="100%" />\n' +
            '              </div>\n' +
            '                   <div class="layui-card-hader" style="text-align: center">\n' +
            '              <div class=" layui-elip">\n' +
            '                 ' + data.name + '\n' +
            '              </div>\n' +
            '       <span class="layui-word-aux" style="font-size: 0.8em">\n' +
            '            ' + data.number + '个商品\n' +
            '        </span>\n' +
            '     </div>\n' +
            '  </div></a>\n' +
            '</div>';
        return content;
    },
    data_goods: function (data) { //商品列表模板
        if (data.quota != 0) {
            var quota = '<br>' + data.quantity + '个';
        } else {
            var quota = '<br><font color=#EF5350>库存不足</font>'
        }
        if (data.image == '') {
            data.image = 'assets/cloud/image/error_img.png';
        }
        var content = '<div class="layui-col-xs6 layui-col-sm4 layui-col-md3">\n' +
            '        <a href="?cid=' + data.cid + '&gid=' + data.gid + '"><div class="layui-card" style="border-radius: 0.5em">\n' +
            '           <div class="layui-card-body" style="padding: 0">\n' +
            '               <img  style="height: 22vh" lay-src="' + data.image + '" onerror="this.src=\'assets/cloud/image/error_img.png\'" width="100%" >\n' +
            '            </div>\n' +
            '         <div class="layui-card-hader" style="text-align: center">\n' +
            '                                    <div class=" layui-elip">\n' +
            '                                        ' + data.name + '\n' +
            '                                    </div>\n' +
            '                 <span class="layui-word-aux" style="font-size: 0.8em">\n' +
            '                     商品价格 | ' + (data.price-0).toFixed(2) + '元 ' + quota + '\n' +
            '                </span>\n' +
            '           </div>\n' +
            '      </div></a>\n' +
            '  </div>';
        return content;
    },
    input_data: function (name, placeholder, id, addstr) {//商品输入框模板
        if (addstr != '') {
            var content = '<div class="layui-form-item">\n' +
                '                            <label class="layui-form-label"  id="var_c' + id + '" >' + name + '</label>\n' +
                '                            <div class="layui-input-block"  style="padding-right: 80px !important;" >\n' +
                '                                <input type="text" onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '"    class="layui-input" />\n' +
                '                            </div>' + addstr + '\n' +
                '                        </div>';
        } else {
            var content = '<div class="layui-form-item">\n' +
                '                            <label class="layui-form-label" id="var_c' + id + '" >' + name + '</label>\n' +
                '                            <div class="layui-input-block">\n' +
                '                                <input type="text"  onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '"  class="layui-input">\n' +
                '                            </div>\n' +
                '                        </div>';
        }
        return content;
    },
    select_data: function (selectname, addstr, i) { //多选框构建
        var content = '<div class="layui-form-item">\n' +
            '                            <label class="layui-form-label"  id="var_c' + i + '">' + selectname + '</label>\n' +
            '                            <div class="layui-input-block">\n' +
            '                                <select lay-verify="required"  id="input_val_' + i + '">\n' +
            '                                    <option value=""></option>' + addstr + '\n' +
            '                                </select>\n' +
            '                            </div>\n' +
            '                        </div>';
        return content;
    },
    num: function () { //商品下单数量模板
        var content = '<div class="layui-form-item">\n' +
            '                            <label class="layui-form-label">下单份数</label>\n' +
            '                            <div class="layui-input-block">\n' +
            '                                <input type="number" min="1" value="1"  placeholder="请填写商品下单份数！"  id="num"  class="layui-input">\n' +
            '                            </div>\n' +
            '                        </div>';
        return content;
    }
};

if ($_GET['cid'] == undefined && $_GET['name'] == undefined) {
    merchandise.cid_data();//调用分类
} else if ($_GET['cid'] != undefined && $_GET['gid'] == undefined) {
    merchandise.gid_data($_GET['cid'], $_GET['name']);
    layui.use('util', function () {
        var util = layui.util;
        util.fixbar({
            bar1: '&#xe65c;'
            , bgcolor: '#FF5252'
            , click: function (type) {
                console.log(type);
                if (type === 'bar1') {
                    location.href = './';
                }
            }
        });
    });
} else if ($_GET['cid'] != undefined && $_GET['gid'] != undefined) {
    /**
     * 调用商品下单界面模块
     */
    $("#shop").show();

    merchandise.shop_data($_GET['gid']);
    $('#points').on('click', function () {
        var that = this;
        layer.tips('<font color=#fff>此商品支持积分付款哦,每日限量快来领取吧！</font>', that, {tips: [1, '#000']}); //在元素的事件回调体中，follow直接赋予this即可
    });
    if ($_GET['cid'] == undefined || $_GET['cid'] == '') {
        var url = './'
    } else {
        var url = './?cid=' + $_GET['cid'];
    }
    layui.use('util', function () {
        var util = layui.util;
        util.fixbar({
            bar1: '&#xe65c;'
            , bgcolor: '#FF5252'
            , click: function (type) {
                console.log(type);
                if (type === 'bar1') {
                    location.href = url
                }
            }
        });
    });
}