/**
 * 小储云商城
 * 模板视图js调用类 cloud
 * @type {{input_data: (function(*, *, *, *): string), data_class: (function(*): string), num: (function(): string), data_goods: (function(*): string)}}
 */
var template = {
    data_class: function (data) { //当前模板分类数据
        if (data.image == '') {
            data.image = '<?php echo $cdnserver; ?>assets/cloud/image/error_img.png';
        }
        var content = '<div class="col-xl-2 col-lg-3 col-sm-4 col-6">\n' +
            '                <div class="contacts__item shadow-sm">\n' +
            '                    <a href="?cid=' + data.cid + '"\n' +
            '                       class="data-tid contacts__img goodTypeChange">\n' +
            '                        <img class="lazy" lay-src="' + data.image + '" onerror="this.src=\'assets/cloud/image/error_img.png\'" style="height: 9em;border-radius: 0.5em" alt="' + data.name + '"/>\n' +
            '                    </a>\n' +
            '                    <div class="contacts__info">\n' +
            '                        <strong>' + data.name + '</strong>\n' +
            '                    </div>\n' +
            '                    <a href="?cid=' + data.cid + '" class="contacts__btn goodTypeChange"\n' +
            '                            style="display: block;">共有' + data.number + '个商品\n' +
            '                    </a>\n' +
            '                </div>\n' +
            '            </div>\n';
        return content;
    },
    data_goods: function (data) { //当前模板商品数据
        if (data.quota != 0) {
            var quota = '' + data.quantity + '个';
        } else {
            var quota = '<font color=#EF5350>库存不足</font>'
        }
        if (data.image == '') {
            data.image = 'assets/cloud/image/error_img.png';
        }
        var content = '<div class="col-xl-2 col-lg-3 col-sm-4 col-6">\n' +
            '            <div class="contacts__item shadow-sm">\n' +
            '                <a href="?mod=shop&gid=' + data.gid + '&cid=' + data.cid + '"\n' +
            '                   class="data-tid contacts__img goodTypeChange">\n' +
            '                    <img class="lazy" lay-src="' + data.image + '" onerror="this.src=\'assets/cloud/image/error_img.png\'" style="height: 9em;border-radius: 0.5em" alt="' + data.name + '"/>\n' +
            '                </a>\n' +
            '                <div class="contacts__info">\n' +
            '                    <strong>' + data.name + '</strong>\n' +
            '                    <small>' + quota + '</small>\n' +
            '                </div>\n' +
            '                <a href="?mod=shop&gid=' + data.gid + '&cid=' + data.cid + '" class="contacts__btn goodTypeChange"\n' +
            '                   style="display: block;">售价 | ' + (data.price-0).toFixed(2) + '元\n' +
            '                </a>\n' +
            '            </div>\n' +
            '        </div>\n';
        return content;
    },
    select_data: function (selectname, addstr, i) { //多选框构建
        var content = '<div class="input-group select">\n' +
            '    <label class="col-form-label" id="var_c' + i + '">' + selectname + '</label>\n' +
            '    <select class="form-control" id="input_val_' + i + '">' + addstr + '</select>\n' +
            '    <i class="form-group__bar"></i>\n' +
            '</div>';
        return content;
    },
    input_data: function (name, placeholder, id, addstr) {//解析此模板对应的下单参数块,每个模板自定义下单信息展示
        if (addstr != '') {
            var content = '' +
                '   <div class="form-group">\n' +
                '        <div class="input-group">\n' +
                '        <label class="col-form-label" id="var_c' + id + '" >' + name + '</label>\n' +
                '        <input type="text"  class="form-control" onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '" />' + addstr + '</div> \n' +
                '    </div> \n';
        } else {
            var content = '' +
                '   <div class="form-group">\n' +
                '        <div class="input-group">\n' +
                '        <label class="col-form-label" id="var_c' + id + '" >' + name + '</label>\n' +
                '        <input type="text"  class="form-control" onblur="checkInput(\'var_c' + id + '\',\'input_val_' + id + '\')" placeholder="' + placeholder + '"  id="input_val_' + id + '" />\n' +
                '        <i class="form-group__bar"></i>\n' +
                '        </div> \n' +
                '    </div> \n';
        }
        return content;
    },
    num: function () { //下单份数模板
        var content = '<div class="form-group">\n' +
            '        <div class="input-group">\n' +
            '        <label class="col-form-label">下单份数</label>\n' +
            '        <input type="number" min="1"  class="form-control" value="1"  placeholder="请填写商品下单份数！"  id="num" /></div> \n' +
            '    </div> \n';
        return content;
    }
};

if ($_GET['cid'] == undefined && $_GET['name'] == undefined) {
    merchandise.cid_data();//调用分类
} else if ($_GET['cid'] != undefined && $_GET['gid'] == undefined) {
    merchandise.gid_data($_GET['cid'], $_GET['name']);
    layui.use('util', function () {
        var util = layui.util;
        util.fixbar({
            bar1: '&#xe65c;'
            , bgcolor: '#FF5252'
            , click: function (type) {
                console.log(type);
                if (type === 'bar1') {
                    location.href = './';
                }
            }
        });
    });
} else if ($_GET['cid'] != undefined && $_GET['gid'] != undefined) {
    /**
     * 调用商品下单界面模块
     */
    $("#shop").show();

    merchandise.shop_data($_GET['gid']);
    $('#points').on('click', function () {
        var that = this;
        layer.tips('<font color=#fff>此商品支持积分付款哦,每日限量快来领取吧！</font>', that, {tips: [1, '#000']}); //在元素的事件回调体中，follow直接赋予this即可
    });
    if ($_GET['cid'] == undefined || $_GET['cid'] == '') {
        var url = './'
    } else {
        var url = './?cid=' + $_GET['cid'];
    }
    layui.use('util', function () {
        var util = layui.util;
        util.fixbar({
            bar1: '&#xe65c;'
            , bgcolor: '#FF5252'
            , click: function (type) {
                console.log(type);
                if (type === 'bar1') {
                    location.href = url
                }
            }
        });
    });
}