<?php
if (!defined('IN_CRONLITE')) die();
?>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no"/>
    <title><?= $conf['sitename'] ?></title>
    <meta name="keywords" content="<?= $conf['keywords'] ?>">
    <meta name="description" content="<?= $conf['description'] ?>">
     <link href="<?php echo $cdnpublic?>twitter-bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet"/>
    <link href="<?php echo $cdnpublic?>font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"/>
    <link rel="stylesheet" href="<?php echo $cdnserver?>assets/simple/css/plugins.css">
    <link rel="stylesheet" href="<?php echo $cdnserver?>assets/simple/css/main.css">
    <link rel="stylesheet" href="<?php echo $cdnserver?>assets/simple/css/oneui.css">
    <link rel="stylesheet" type="text/css" href="<?php echo $cdnserver; ?>assets/layui/css/layui.css"/>
    <script src="<?php echo $cdnpublic?>modernizr/2.8.3/modernizr.min.js"></script>
  <!--[if lt IE 9]>
    <script src="<?php echo $cdnpublic?>html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="<?php echo $cdnpublic?>respond.js/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>
<body style="<?= background::image() == false ? 'background:linear-gradient(to left, #70e1f5, #ffd194);' : background::image() ?>">
<br />
<div class="col-xs-12 col-sm-10 col-md-8 col-lg-5 center-block" style="float: none;">
<!--公告-->
<div class="modal fade" align="left" id="anounce" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">公告</h4>
      </div>
	  <div class="modal-body">
          <?php echo $conf['notice_top']?>
	  </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
      </div>
    </div>
  </div>
 </div>
<!--公告-->
<!--查单说明开始-->
<div class="modal fade" align="left" id="cxsm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="myModalLabel">查询内容是什么？该输入什么？</h4>
      </div>
      	<li class="list-group-item"><font color="red">请在右侧的输入框内输入您下单时，在第一个输入框内填写的信息</font></li>
      	<li class="list-group-item">例如您购买的是QQ赞类商品，输入下单的QQ账号即可查询订单</li>
      	<li class="list-group-item">例如您购买的是邮箱类商品，需要输入您的邮箱号，输入QQ号是查询不到的</li>
      	<li class="list-group-item">例如您购买的是短视频类商品，输入视频链接即可查询，不要带其他中文字符</li>
      	<li class="list-group-item"><font color="red">如果您不知道下单账号是什么，可以不填写，直接点击查询，则会根据浏览器缓存查询</font></li>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
      </div>
    </div>
  </div>
</div>
<!--查单说明结束-->
<div class="widget">
<!--logo-->
    <div class="widget-content themed-background-flat text-center" style="background-image: url(assets/simple/img/head3.jpg);background-size: 100% 100%;">
        <a href="javascript:void(0)">
			<img src="//q4.qlogo.cn/headimg_dl?dst_uin=<?php echo $conf['kfqq'];?>&spec=100" alt="Avatar" width="80" alt="avatar" style="height: auto filter: alpha(Opacity=80);-moz-opacity: 0.80;opacity: 0.80;" class="img-circle img-thumbnail img-thumbnail-avatar-1x">
        </a>
    </div>
<!--logo-->
<!--logo下面按钮-->
	<div class="widget-content themed-background-muted text-center ">
		<div class="btn-group themed-background-muted ">
			<a href="#anounce" data-toggle="modal" class="btn btn-effect-ripple btn-default collapsed "><b><font color="#ff0000"><i class="fa fa-wifi fa-fw"></i> <span style="font-weight:bold">平台公告</span></font></b></a>
			<?php if($USERDATA['name']<>''){ ?>
			<a href="./user/" class="btn btn-effect-ripple btn-default"><i class="glyphicon glyphicon-user"></i> <span style="font-weight:bold">管理后台</span></a>
			<?php }else{?>
			<a href="./user/login.php" class="btn btn-effect-ripple btn-default"><i class="glyphicon glyphicon-user"></i> <span style="font-weight:bold">登录</span></a>
			<?php }?>
		</div>
	</div>
    <a href="<?=$conf['appurl']?>" target="_blank" class="<?php if(empty($conf['appurl'])){?> hide<?php }?>"><img src="assets/simple/img/app.png" style="width: 100%;"></a>
</div>
<div class="block full2">
<!--TAB标签-->
	<div class="block-title">
        <ul class="nav nav-tabs" data-toggle="tabs">
            <li style="width: 20%;" align="center" class="active"><a href="#shop" data-toggle="tab"><span style="font-weight:bold"><i class="fa fa-shopping-bag fa-fw"></i> 下单</span></a></li>
            <li style="width: 20%;" align="center"><a href="#search" data-toggle="tab" id="tab-query"><span style="font-weight:bold"><i class="fa fa-search"></i> 查询</span></a></li>
			<li style="width: 20%;" align="center"><a href="#more" data-toggle="tab"><span style="font-weight:bold"><i class="fa fa-folder-open"></i> 更多</span></a></li>
        </ul>
    </div>
<!--TAB标签-->
    <div class="tab-content">
<!--在线下单-->
    <div class="tab-pane active" id="shop">
        <div id="goodTypeContents">
            <?php echo $conf['alert']?>
            <div class="form-group" id="display_searchBar">
                <div class="input-group"><div class="input-group-addon">搜索商品</div>
                    <input type="text" id="query_goods" value="<?=$_QET['name']?>" class="form-control" placeholder="搜索商品" onkeydown="if(event.keyCode==13){merchandise.query_goods($('#query_goods').val())}"/>
                    <div class="input-group-addon" onclick="merchandise.query_goods($('#query_goods').val())"><span class="glyphicon glyphicon-search" title="搜索"></span></div>
                </div>
            </div>
            <div class="form-group">
                <div class="input-group"><div class="input-group-addon" >选择分类</div>
                    <select id="cid" data-cid="0" class="form-control"><option value="0">请选择分类</option></select>
                </div>
            </div>
            <div class="form-group">
                <div class="input-group"><div class="input-group-addon" id="gootsp">选择商品</div>
                    <select id="gid" data-gid="0" class="form-control"><option value="0">请先选择分类</option></select>
                </div>
            </div>
            <div class="form-group" id="moneys_os" style="display: none;center;color:#4169E1;font-weight:bold">
                <div class="input-group"><div class="input-group-addon">商品价格</div>
                    <input type="text"  id="moneys" class="form-control" style="center;color:#4169E1;font-weight:bold" disabled/>
                </div>
            </div>
            <div class="form-group" id="points_os" style="display: none;center;color:#e1b617;font-weight:bold">
                <div class="input-group"><div class="input-group-addon">兑换价格</div>
                    <input type="text" id="points" class="form-control" style="center;color:#ff7500;font-weight:bold" disabled/>
                </div>
            </div>
            <div class="form-group" id="repertory" style="display: none">
                <div class="input-group"><div class="input-group-addon">库存数量</div>
                    <input type="text" id="residue" class="form-control" disabled/>
                </div>
            </div>
            <div id="input_value"></div>
            <div id="alert_frame" class="alert alert-success animated rubberBand" style="display:none;background: linear-gradient(to right,#71D7A2,#5ED1D7);font-weight: bold;color:white;"></div>
            <div class="form-group">
                <input type="submit" id="submit" class="btn btn-primary btn-block" value="<?=$USERDATA['grade']<>''?'[V'.$USERDATA['grade'].'密价] ':'[游客售价] '?>购买商品">
            </div>
        </div>
  	</div>
<!--在线下单-->
<!--查询订单-->
    <div class="tab-pane" id="search">
		<div class="col-xs-12 well well-sm animation-pullUp" <?php if(empty($conf['notice_check'])){?>style="display:none;"<?php }?>><?php echo $conf['notice_check']?></div>
			<div class="form-group">
				<div class="input-group">
					<div class="input-group-btn">
						<select class="form-control" id="searchtype" style="padding: 6px 4px;width:90px">
                            <option value="1">下单信息</option>
                            <option value="2">订单号</option>
                            <option value="3">账号</option>
                            <option value="4">物流</option>
                        </select>
					</div>
					<input type="text" id="vae" value="" class="form-control" placeholder="请输入要查询的内容" onkeydown="if(event.keyCode==13){merchandise.query_sep($('#vae').val())}" required/>
					<span class="input-group-btn"><a href="#cxsm" data-toggle="modal" class="btn btn-warning"><i class="glyphicon glyphicon-exclamation-sign"></i></a></span>
				</div>
			</div>
			<input type="submit" id="submit_query" class="btn btn-primary btn-block" value="立即查询">
			<br/>
   </div>
<!--查询订单-->
<!--更多-->
    <div class="tab-pane" id="more">
	<div class="row">
		<div class="col-sm-6">
            <a href="?mod=article" class="widget">
                <div class="widget-content themed-background-success text-right clearfix" style="color: #fff;">
                    <div class="widget-icon pull-left">
                        <i class="fa fa-gift"></i>
                    </div>
                    <h2 class="widget-heading h3">
                        <strong>平台资讯</strong>
                    </h2>
                    <span>了解本站最新动态详情</span>
                </div>
            </a>
        </div>
		<div class="col-sm-6<?php if(empty($conf['appurl'])){?> hide<?php }?>">
            <a href="<?php echo $conf['appurl']; ?>" target="_blank" class="widget">
                <div class="widget-content themed-background-info text-right clearfix" style="color: #fff;">
                    <div class="widget-icon pull-left">
                        <i class="fa fa-cloud-download"></i>
                    </div>
                    <h2 class="widget-heading h3">
                        <strong>APP下载</strong>
                    </h2>
                    <span>下载APP，下单更方便</span>
                </div>
            </a>
        </div>
		<div class="col-sm-6">
            <a href="?mod=extract" target="_blank" class="widget">
                <div class="widget-content themed-background-warning text-right clearfix" style="color: #fff;">
                    <div class="widget-icon pull-left">
                        <i class="fa fa-credit-card"></i>
                    </div>
                    <h2 class="widget-heading h3">
                        <strong>提取卡密</strong>
                    </h2>
                    <span>卡密商品在此输入提卡密码提取</span>
                </div>
            </a>
        </div>
		<div class="col-sm-6">
            <a  href="./user/" target="_blank" class="widget">
                <div class="widget-content themed-background-info text-right clearfix" style="color: #fff;">
                    <div class="widget-icon pull-left">
                        <i class="fa fa-certificate"></i>
                    </div>
                    <h2 class="widget-heading h3">
                        <strong>用户后台</strong>
                    </h2>
                    <span>登录用户后台</span>
                </div>
            </a>
        </div>
	</div>
	</div>
<!--更多-->
    </div>
</div>
<!--关于我们弹窗-->
<div class="modal fade" align="left" id="customerservice" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
		<div class="modal-header">
			<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
			<h4 class="modal-title" id="myModalLabel">客服与帮助</h4>
		</div>
		<div class="modal-body" id="accordion">
			<div class="panel panel-default" style="margin-bottom: 6px;">
				<div class="panel-heading">
					<h4 class="panel-title">
						<a data-toggle="collapse" data-parent="#accordion" href="#collapseOne">为什么订单显示已完成了却一直没到账？</a>
					</h4>
				</div>
				<div id="collapseOne" class="panel-collapse in" style="height: auto;">
					<div class="panel-body">
					订单显示（已完成）就证明已经提交到服务器内！并不是订单已刷完。<br>
					如果长时间没到账请联系客服处理！<br>
					订单长时间显示（待处理）请联系客服！
					</div>
				</div>
			</div>
			<div class="panel panel-default" style="margin-bottom: 6px;">
				<div class="panel-heading">
					<h4 class="panel-title">
						<a data-toggle="collapse" data-parent="#accordion" href="#collapseTwo" class="collapsed">QQ会员/钻类等什么时候到账？</a>
					</h4>
				</div>
				<div id="collapseTwo" class="panel-collapse collapse" style="height: 0px;">
					<div class="panel-body">
					下单后的48小时内到账（会员或钻全部都是一样48小时内到账）！<br>
					如果超过48小时，请联系客服退款或补单，提供QQ号码！
					</div>
				</div>
			</div>
			<div class="panel panel-default" style="margin-bottom: 6px;">
				<div class="panel-heading">
					<h4 class="panel-title">
						<a data-toggle="collapse" data-parent="#accordion" href="#collapseThree" class="collapsed">卡密/CDK怎么提卡？</a>
					</h4>
				</div>
				<div id="collapseThree" class="panel-collapse collapse" style="height: 0px;">
					<div class="panel-body">可直接前往提卡地址提取您购买的卡密。 <a href="?mod=extract"  target="_blank">进入</a>
					</div>
				</div>
			</div>
			<div class="panel panel-default" style="margin-bottom: 6px;">
				<div class="panel-heading">
					<h4 class="panel-title">
						<a data-toggle="collapse" data-parent="#accordion" href="#collapseFourth" class="collapsed">已付款了没有查询到我订单？</a>
					</h4>
				</div>
				<div id="collapseFourth" class="panel-collapse collapse" style="height: 0px;">
					<div class="panel-body" style="margin-bottom: 6px;">联系客服处理，请提供（付款详细记录截图）（下单商品名称）（下单账号）<br>直接把三个信息发给客服，然后等待客服回复处理（请不要发抖动窗口或者QQ电话）！
					</div>
				</div>
			</div>
			<ul class="list-group" style="margin-bottom: 0px;">
			<li class="list-group-item">   
			   <div class="media">
					<span class="pull-left thumb-sm"><img src="//q4.qlogo.cn/headimg_dl?dst_uin=<?php echo $conf['kfqq'] ?>&spec=100" alt="..." class="img-circle img-thumbnail img-avatar"></span>
			   <div class="pull-right push-15-t">
					<a href="http://wpa.qq.com/msgrd?v=3&uin=<?php echo $conf['kfqq'] ?>&site=qq&menu=yes" target="_blank"  class="btn btn-sm btn-info">联系</a>
			   </div>
			   <div class="pull-left push-10-t">
					<div class="font-w600 push-5">订单售后客服</div>
					<div class="text-muted"><b>QQ：<?php echo $conf['kfqq'] ?></b>
					</div>
			   </div>
			   </div>
			</li>
			<li class="list-group-item">
			想要快速回答你的问题就请把问题描述讲清楚!<br>
			下单账号+业务名称+问题，直奔主题，按顺序回复!<br>
			有问题直接留言，请勿抖动语音否则直接无视。<br>			
			</li>
			</ul>
		</div>
    </div>
  </div>
</div>
<!--关于我们弹窗-->
<div class="block">
	<!--底部导航-->
	<div class="block-content text-center border-t">
        <?php echo $conf['notice_bottom'] ?>
        <?php
        if($conf['navigation']<>''){
            echo '<br>';
            $navigation = explode('|', $conf['navigation']);
            foreach ($navigation as $v) {
                $data_header = explode(',', $v);
                echo ' <a href="' . $data_header[1] . '" target="_blank"> ' . $data_header[0] . '</a> ';
            }
            echo '<br>';
        }
        ?>
		<p><span style="font-weight:bold"><?php echo $conf['sitename'] ?> <i class="fa fa-heart text-danger"></i> 2020 | </span><a class="" href="#customerservice" style="font-weight:bold" data-toggle="modal">客服与帮助</span></a></p>
	    <?php echo $conf['statistics'] ?>
    </div>
	<!--底部导航-->
</div>
</div>

<script src="<?php echo $cdnpublic?>jquery/1.12.4/jquery.min.js"></script>
<script src="<?php echo $cdnpublic?>jquery.lazyload/1.9.1/jquery.lazyload.min.js"></script>
<script src="<?php echo $cdnpublic?>twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="<?php echo $cdnpublic?>jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script src="<?php echo $cdnserver; ?>assets/layui/layui.all.js"></script>
<script src="<?php echo $cdnserver; ?>assets/js/main.js?var=<?= $accredit['versions'] ?>"></script>
<script src="./template/simple/template.js?var=<?= time() ?>"></script>
</body>
</html>