<?php
/**
 * 我的钱包
 */
$title = '我的钱包';
include 'header.php';
$data_arr = reward::user_pays($USERDATA);
?>
<div class="container-fluid">
    <div class="row">
        <div class="col-xl-4 col-lg-6">
            <div class="card widget-flat  shadow-lg bg-danger text-white"
                 style="background: linear-gradient(to right,  #00d2ff, #3a7bd5)">
                <div class="card-body" style="position: relative;">
                    <div class="float-right">
                        <button type="button" onclick="pay()" class="btn btn-sm btn-light">充值余额</button>
                    </div>
                    <h6 class="text-white text-uppercase mt-0" title="Revenue">我的钱包余额</h6>
                    <h3 class="mb-4 mt-2"><?= round($USERDATA['money'],8) ?>元</h3>
                    <div class="row text-center">
                        <div class="col-6">
                            <h6 class="text-truncate d-block">今日消费</h6>
                            <p class="font-18 mb-0"><?= $data_arr['count_1'] ?>元</p>
                        </div>
                        <div class="col-6">
                            <h6 class="text-truncate d-block">昨日消费</h6>
                            <p class="font-18 mb-0"><?= $data_arr['count_2'] ?>元</p>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- end col-->
        <div class="col-xl-4 col-lg-6">
            <div class="card widget-flat shadow-lg bg-warning text-white"
                 style="background:  linear-gradient(to right, #f12711, #f5af19);">
                <div class="card-body" style="position: relative;">
                    <div class="float-right">
                        <button type="button" class="btn btn-sm btn-light" onclick="location.href='activity.php'">获取更多
                        </button>
                    </div>
                    <h6 class=" text-uppercase mt-0" title="Revenue">我的<?= $conf['currency'] ?></h6>
                    <h3 class="mb-4 mt-2"><?= $USERDATA['limit'] ?>个</h3>
                    <div class="row text-center">
                        <div class="col-6">
                            <h6 class="text-truncate d-block">今日增加</h6>
                            <p class="font-18 mb-0"><?= round($data_arr['count_3'],0) ?></p>
                        </div>
                        <div class="col-6">
                            <h6 class="text-truncate d-block">昨日增加</h6>
                            <p class="font-18 mb-0"><?= round($data_arr['count_4'],0) ?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div> <!-- end col-->

    </div>
    <div class="row">
        <div class="col-xl-12">
            <div class="card">
                <span class="card-header text-white shadow-sm"
                      style="background:  linear-gradient(to right, #bdc3c7, #2c3e50);">
                    任务大厅
                </span>
            </div>
        </div>
        <div class="col-xl-3 col-lg-3">
            <div class="card widget-flat">
                <div class="card-body" style="position: relative;">
                    <div class="float-right">
                        <button type="button" class="btn btn-sm btn-light">领取任务</button>
                    </div>
                    <h6 class="text-muted text-uppercase mt-0" title="Revenue">任务大厅未开放</h6>
                    <code class="mb-0 mt-0">邀请20个有效用户</code>
                    <div>奖励：<span class="badge badge-primary-lighten">10余额</span></div>
                </div>
            </div>
        </div> <!-- end col-->
        <div class="col-xl-3 col-lg-3">
            <div class="card widget-flat">
                <div class="card-body" style="position: relative;">
                    <div class="float-right">
                        <button type="button" class="btn btn-sm btn-light">领取任务</button>
                    </div>
                    <h6 class="text-muted text-uppercase mt-0" title="Revenue">任务大厅未开放</h6>
                    <code class="mb-0 mt-0">邀请10个有效用户</code>
                    <div>奖励：<span class="badge badge-danger-lighten">10000积分</span></div>
                </div>
            </div>
        </div> <!-- end col-->

        <div class="col-xl-3 col-lg-3">
            <div class="card widget-flat">
                <div class="card-body" style="position: relative;">
                    <div class="float-right">
                        <button type="button" class="btn btn-sm btn-light">领取任务</button>
                    </div>
                    <h6 class="text-muted text-uppercase mt-0" title="Revenue">任务大厅未开放</h6>
                    <code class="mb-0 mt-0">购买10个1元以上的商品</code>
                    <div>奖励：<span class="badge badge-danger-lighten">20000积分</span></div>
                </div>
            </div>
        </div> <!-- end col-->

        <div class="col-xl-3 col-lg-3">
            <div class="card widget-flat">
                <div class="card-body" style="position: relative;">
                    <div class="float-right">
                        <button type="button" class="btn btn-sm btn-light">领取任务</button>
                    </div>
                    <h6 class="text-muted text-uppercase mt-0" title="Revenue">任务大厅未开放</h6>
                    <code class="mb-0 mt-0">今日充值满10元</code>
                    <div>奖励：<span class="badge badge-danger-lighten">1元余额</span></div>
                </div>
            </div>
        </div> <!-- end col-->

    </div>

</div>

<?php
include 'bottom.php';
?>

<script>
    function pay() {
        layer.prompt({
            formType: 3,
            title: '请填写充值金额',
            btn: ['确认充值', '取消充值'],
        }, function (values, index, elem) {
            layer.close(index);
            layer.open({
                title: '请选择支付方式',
                offset: '100px',
                shade: [0.3, '#393D49'],
                anim: 2,
                content: '<img src="../assets/img/pay.jpg" width="100%" /><br><br><center style="color:#FF3D00"><h4>您需支付' + values + '元</h4></center>',
                btn: [<?=($conf['pay_wxpay']==-1?'':"'微信付款',")?><?=($conf['pay_alipay']==-1?'':"'支付宝付款',")?><?=($conf['pay_qqapy']==-1?'':"'QQ付款',")?> '取消支付'],
                btnAlign: 'c',
                btn1: function (layero, index) {
                    get_data(values, 'wxpay')
                },
                btn2: function (layero, index) {
                    get_data(values, 'alipay')
                },
                btn3: function (layero, index) {
                    get_data(values, 'qqpay')
                },
            })
        });
    }

    function get_data(money, type) {
        var index = layer.msg('加载中...', {icon: 16, time: 9999999});
        $.ajax({
            type: "post",
            url: "ajax.php?act=user_pay",
            data: {money: money, type: type},
            dataType: "json",
            success: function (data) {
                layer.close(index);
                if (data.code == 1) {
                    layer.alert(data.msg, {icon: 1});
                } else if (data.code == 2) {
                    layer.msg(data.msg, {icon: 16});
                    location.href = data.url;
                } else {
                    layer.alert(data.msg, {icon: 2});
                }
            },
            error: function () {
                layer.msg('充值失败！');
                layer.close(index);
            }
        });
    }
</script>
